# rpcap_header Struct Reference
[Internal Structures and Definitions]

Common header for all the RPCAP messages. More...

`#include <pcap-remote.h>`

## Data Fields

uint8 | ver
| RPCAP version number.
uint8 | type
| RPCAP message type (error, findalldevs, ...).
uint16 | value
| Message-dependent value (not always used).
uint32 | plen
| Length of the payload of this RPCAP message.

## Detailed Description

Common header for all the RPCAP messages.

Definition at line 150 of file pcap-remote.h.

## Field Documentation

uint32 plen

Length of the payload of this RPCAP message.

Definition at line 155 of file pcap-remote.h.

uint8 type

RPCAP message type (error, findalldevs, ...).

Definition at line 153 of file pcap-remote.h.

uint16 value

Message-dependent value (not always used).

Definition at line 154 of file pcap-remote.h.

uint8 ver

RPCAP version number.

Definition at line 152 of file pcap-remote.h.

The documentation for this struct was generated from the following file:

- pcap-remote.h

documentation. Copyright (c) 2002-2005 Politecnico di Torino. Copyright (c) 2005-2009 CACE Technologies. All rights reserved.